<template>
    <div class="q-pa-md q-gutter-sm">
            <div v-show="!$store.getters.isLoggedIn" class="q-pa-md q-gutter-sm row">
                <q-banner rounded class="bg-secondary text-white col-md-6 offset-md-3">

                Please log in as a guest or use your account.

                <template v-slot:action>
                    <q-btn flat color="white" label="Continue as a Guest" @click="logAsGuest()"/>
                </template>
                </q-banner>
            </div>

            <div class="row " >
                <q-card class="my-card" flat style="width:100%">
                    <q-card-section >                        
                        
                        <div class="text-h6 text-center"><q-avatar @click="loggedUsers()"> <img src="../statics/icons/profiterole-logo-128x128.png"/></q-avatar></div>
                        <div class="text-h6 text-center"> PROFITEROLE </div>
                        <div class="text-subtitle2 text-center">PRocessing Old French Instrumented TExts for the Representation Of Language Evolution</div>
                    </q-card-section>
                </q-card>
            </div>

            <div class="q-pa-md row items-start q-gutter-md">
                <q-card class="my-card shadow-24 rounded-corner bordered">
                    <q-parallax :height="150" :speed="1" >
                        <template v-slot:media>
                            <img src="../statics/ofrlex-modifier.jpg">
                        </template>
                    </q-parallax>

                    <q-card-section class="bg-primary text-white">
                        <div class="text-h6">LEMA</div>
                        <div class="text-subtitle2">Lexicon and Enrichment Modification Application</div>
                        <div class="text-subtitle2">Restricted</div>
                    </q-card-section>

                    <q-separator />

                    <q-card-actions align="right">
                        <q-btn round push color="positive" icon="launch" to="/modifier" />
                    </q-card-actions>
                </q-card>
            </div>  

            <div class="row q-pa-md q-gutter-md">
                <q-card class="my-card">
                <q-card-section>
                    <div class="text-h6">The Profiterole French ANR Project</div>
                    <div class="text-subtitle-2">ANR-16-CE38-0010</div>
                </q-card-section>
                <q-separator inset/>
                <q-card-section class=" text-justify">
                    <p v-for="para in abstract" :key="para">{{ para }}</p>
                </q-card-section>
                </q-card>
            </div>

            <div class="row q-gutter-md q-pa-md">
                <q-card style="width:100%">
                    <q-card-section>
                        <div class="text-h6">Partners</div>
                    </q-card-section>
                    <q-card-section>
                        <div v-for="partner in partners" :key="partner.name">
                            <p><strong>{{partner.name}}</strong> ({{partner.desc}}). Members: {{partner.members}}</p>
                        </div>
                    </q-card-section>
                </q-card>
            </div>
            
    </div>

    
    
</template>

<script>
export default {
  name: 'hub',
  data() {
      return {
        lorem: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.',
        abstract: [`The PROFITEROLE has three main goals that fall within the fields of linguistics and Natural Language Processing (NLP). These three goals are closely correlated. First, modeling morphological and syntactic aspects of the diachronic evolution of French. Second, targeting the development of a methodology to explore and annotate heterogeneous linguistic data while providing automatic analysers for various stages of the French language. Finally, expanding linguistic resources for French, by building a large annotated corpus (1 million words) of Medieval French (9th-15th centuries) and morphological lexicons (plus NLP tools) covering several stages of French.`,
            `The Medieval period constitutes a critical period for the study of the evolution of French. It is indeed during this period that most core morphological and syntactic changes were initiated and began to spread throughout the language. Focusing on this chronological span therefore allows us to achieve a better insight into the evolution of French and a better understanding of certain mechanisms of change that have also taken place in other languages. Material constraints have so far limited data mining or other extensive analyses of French diachronic text collections, which call for a partially automated utilization of the data. This holds true especially for the Medieval period. The emergence in 2013 of the Syntactic Reference Corpus of Medieval French has opened up new perspectives for both linguistic and NLP issues. SRCMF is an Old French (9th-13th) treebank annotated with fine-grained syntactic dependency structures, with each of the 251,000 words carrying a manually checked POS tag and a syntactic function.`,
            `Old French is characterized by much greater variation than Modern French on both the grapho-phonetic and syntactic levels. This variation must be conceived as internal to the language, although the variation can also be seen as external as it operates between texts of different external variables (such as date, dialect, domain-genre, form, or register), with the date being the main parameter for variation. The SRCMF is a highly conducive field for the study of variation in its internal and external dimensions, in addition to the possible correlations between the two – a hitherto understudied domain of syntax, especially with regard to the progressive fixation of word order in the history of French, which will be our main linguistic focus. The complexity of the task involves the use of sophisticated statistical and computer technologies. The strong variation in Medieval French complicates the identification and grasping of its successive stages, while also being a critical factor for the passage from one stage to the other. A significant increase in processed data is therefore crucial for a better understanding of language change. Yet, this same multi-heterogeneity of the data proves a major challenge for processing an automatic text enrichment.
            Building on the SRCMF and on the diachronic morphological lexicons designed throughout the project, we will develop an annotation methodology capable of processing this variability, by exploring two distinct approaches in order to do so. The first relies on manually crafted symbolic parsers and the second is based on Machine Learning. These automatic analysis tools and resources, accurately and easily configurable for various stages of Medieval French, will thus serve to automatically explore and annotate additional Old French plain texts. All the annotated data and tools will provide new and valuable linguistic insights for the study of diachronic variation, and will more generally contribute to our understanding of multiple heterogeneous data and its computerized processing, both for past stages of French as well as present-day stages of languages.`,
            `The collaboration of international specialists in historical linguistics, digital humanities and natural language processing is an important asset for the success of this project.`],
        partners: [ { name: 'Lattice', desc: 'UMR 8094, ENS Paris/ Univ. Paris Sorbonne Nouvelle', members: 'S. Prévost (resp.), I. Tellier, K. Gerdes, A. Stein, T. Rainsford, N. Mazziotta, M. Regnault, L. Grobol'},
        { name: 'LLF', desc: 'UMR 7110, Univ. Paris Diderot', members: 'B. Crabbé (resp.), B. Sagot, E. de la Clergerie, M. Constant, R. Garnier, G. Guibon'},
        { name: 'IRHIM', desc: 'UMR 5317, ENS Lyon', members: 'S. Heiden (resp), C. Guillot, A. Lavrentiev '} ]
      }
  },
  methods:{
      logAsGuest() {
      this.errors = [];
      this.$store.dispatch("login", { user: 'anon', password: 'anon'})
        .then( response => {
          if(response.error){
            console.log('Error', response.error);
            this.showNotif('bottom', 'wronginfos');
            this.password = null;
            this.loginError = true;
            this.errors.push(error);
            this.error = true;
          }else{
            this.$store.dispatch('connectSocket').then(() => { this.pingSocket(); });
            this.showNotif('bottom', 'logged');
            this.password = null;
            // this.$router.push("/");
            this.right = false;
          }
        })
    },
    loggedUsers(){ 
        // api.getLoggedUsers().then(response => {console.log('users', response.data);}).catch(error => {console.log(error);}); 
        this.$store.getters.getStompClient.send("/app/users", JSON.stringify({}), {});
    }
  }
}
</script>